Subject: [hrpc] the right to bear arms

From: Sandra Braman <[email-masked]>
Date: Mon, 3 May 2021 11:41:45 -0500

. . . just wanted to note that unfortunately to those of us in the US calls
for treatment of the right to bear arms as a human right isn't being
experienced as a joke. The author of that RFC states that it is needed in
order to protect oneself, which is an argument offered in this example of
legal analysis of the right to bear arms as an international human right:
https://scholarship.law.wm.edu/cgi/viewcontent.cgi?article=1110&context=wmborj#:~:text=One%20right%20that%20has%20not,shall%20not%20be%20infringed.%22
'

I'm not arguing for it, just pointing these things out. There is a LOT of
public discourse -- and action, including legal action -- in the US these
days that does make that claim. The Texas legislature is currently
considering passing a law that would allow gun carry without permits. Yes,
the US is an outlier in this regard, thank goodness.

---

From: Sandra Braman <[email-masked]>
Date: Tue, 4 May 2021 03:21:08 -0500

Given the process, there is no need or reason to say analysis of this
subject "can't be included" in the draft guidelines document currently
being discussed. An alternative formulation would be to say that the
document should not be considered complete until uses people are making of
the existing document for which the draft is trying to provide guidelines
have been examined and insights they provide have been incorporated into
the text. This is not only within existing scope but a basic step, for
would be for many the first step, for either a researcher looking at this
problem or for someone who is writing a guide in a technical writing sense.

I'll do the analysis of discussions of the human rights considerations
section in the 7 drafts that include these sections and report back as soon
as I can. This should be a couple of weeks, and by then I'll have other
thoughts on what is the current draft of the text at that point as well
(with all thumbs up the option I, as so many, am hoping for). It will also
be interesting to see the genetic drift from RFC 3552 to RFC 6973 (which
opens by saying it is modeled on 3552) to RFC 8280; the 3552 I asked about
a few days ago is the grandparent. Thanks again to Gurshabad for pointers
as I am still learning my way around the document system.

---------- Forwarded message ----------
> From: Mallory Knodel <[email-masked]>
> To: Sandra Braman <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Mon, 3 May 2021 11:23:53 -0400
> Subject: Re: [hrpc] re history lessons
> On 5/3/21 11:15 AM, Sandra Braman wrote:
>
> > and what the reasons were for not ultimately including that section in
> > documents ultimately published
>
> No one has yet done this research so it can't be included or cited.
>
> We do not have any current work items on it either but would openly
> encourage and welcome them,
>

>
> -M
>
> --
> Mallory Knodel
> CTO, Center for Democracy and Technology
> gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780
>
>

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 04 May 2021 10:39:21 +0200

Hi Sandra,

Thanks a lot for your offer of examining those drafts. As a background, may I offer the fact that both authors of I-Ds that have been assessed, authors of I-Ds that used the guidelines themselves, as well as people who have done several assessment of other people's I-Ds using these guidelines, have contributed to the current document? So in that sense I think this document already lives up to what you describe as: 'the document should not be considered complete until uses people are making of the existing document for which the draft is trying to provide guidelines have been examined and insights they provide have been incorporated into the text'.

Best,

Niels

PS You might want to have a look at several mailinglists to see how RFC 3552 and RFC6973 came into being if you want to make a proper comparison between those documents and draft-guidelines.

On 4 May 2021, 10:21, at 10:21, Sandra Braman <[email-masked]> wrote:
>------------------------------------------------------------------------
>
>_______________________________________________
>hrpc mailing list
>[email-masked]
>https://www.irtf.org/mailman/listinfo/hrpc

---

From: Sandra Braman <[email-masked]>
Date: Tue, 4 May 2021 04:24:29 -0500

This is good to know, Niels -- and a very different statement from "can't
include."

However, given the other kinds of issues that have already come up with
this draft, analysis of these documents will still be useful. The presence
of particular individuals in a conversation does not necessarily mean that
all of the matters that would be pertinent to the current document will
necessarily have come up -- the conversation jumps from one topic to
another, people have pet topics (understandably), individuals come and go
in terms of attention, etc. I do fully appreciate the fact that I remain a
newbie in terms of this group's process, but systematic and comprehensive
analysis of substance is the contribution I can offer.

On Tue, May 4, 2021 at 3:39 AM Niels ten Oever <[email-masked]>
wrote:

> Hi Sandra,
>
> Thanks a lot for your offer of examining those drafts. As a background,
> may I offer the fact that both authors of I-Ds that have been assessed,
> authors of I-Ds that used the guidelines themselves, as well as people who
> have done several assessment of other people's I-Ds using these guidelines,
> have contributed to the current document? So in that sense I think this
> document already lives up to what you describe as: 'the document should not
> be considered complete until uses people are making of the existing
> document for which the draft is trying to provide guidelines have been
> examined and insights they provide have been incorporated into the text'.
>
> Best,
>
> Niels
>
> PS You might want to have a look at several mailinglists to see how RFC
> 3552 and RFC6973 came into being if you want to make a proper comparison
> between those documents and draft-guidelines.
>
>
>
> On 4 May 2021, at 10:21, Sandra Braman <[email-masked]> wrote:
>>
>>> ------------------------------
>>
>> hrpc mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/hrpc <https://urldefense.com/v3/__https://www.irtf.org/mailman/listinfo/hrpc__;!!KwNVnqRv!UYrBlSSUZVT-KHEBRuO6JmhORabF2BOr-7jYlhIYUf94u-GHSmDZ6B5iLodUkQ$>
>>
>>

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 4 May 2021 11:42:47 +0200

Looking forward to it - I could even imagine the framework you use to evaluate becoming an I-D by itself, similar to RFC 5218.

Best,

Niels

On 04-05-2021 11:24, Sandra Braman wrote:
> This is good to know, Niels -- and a very different statement from "can't include."  
> 
> However, given the other kinds of issues that have already come up with this draft, analysis of these documents will still be useful. The presence of particular individuals in a conversation does not necessarily mean that all of the matters that would be pertinent to the current document will necessarily have come up -- the conversation jumps from one topic to another, people have pet topics (understandably), individuals come and go in terms of attention, etc. I do fully appreciate the fact that I remain a newbie in terms of this group's process, but systematic and comprehensive analysis of substance is the contribution I can offer.
> 
> 
> On Tue, May 4, 2021 at 3:39 AM Niels ten Oever <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi Sandra,
> 
>     On 4 May 2021, at 10:21, Sandra Braman <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         Given the process, there is no need or reason to say analysis of this subject "can't be included" in the draft guidelines document currently being discussed. An alternative formulation would be to say that the document should not be considered complete until uses people are making of the existing document for which the draft is trying to provide guidelines have been examined and insights they provide have been incorporated into the text. This is not only within existing scope but a basic step, for would be for many the first step, for either a researcher looking at this problem or for someone who is writing a guide in a technical writing sense. 
> 
>         I'll do the analysis of discussions of the human rights considerations section in the 7 drafts that include these sections and report back as soon as I can. This should be a couple of weeks, and by then I'll have other thoughts on what is the current draft of the text at that point as well (with all thumbs up the option I, as so many, am hoping for). It will also be interesting to see the genetic drift from RFC 3552 to RFC 6973 (which opens by saying it is modeled on 3552) to RFC 8280; the 3552 I asked about a few days ago is the grandparent. Thanks again to Gurshabad for pointers as I am still learning my way around the document system.
> 
>             From: Mallory Knodel <[email-masked] <mailto:[email-masked]>>
>             To: Sandra Braman <[email-masked] <mailto:[email-masked]>>
>             Cc: [email-masked] <mailto:[email-masked]>
>             Bcc: 
>         ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 
>         hrpc mailing list
>         [email-masked] <mailto:[email-masked]>

-- 
Niels ten Oever, PhD
Postdoctoral Researcher - Media Studies Department - University of Amsterdam
Research Fellow - Centre for Internet and Human Rights - European University Viadrina
Associated Scholar - Centro de Tecnologia e Sociedade - Fundação Getúlio Vargas
Affiliated Factulty - Digital Democracy Insitute - Simon Fraser University

https://nielstenoever.net - [email-masked] - @nielstenoever - +31629051853
PGP: 2458 0B70 5C4A FD8A 9488 643A 0ED8 3F3A 468A C8B3

Read my latest article on Internet infrastructure governance in New Media & Society here: https://journals.sagepub.com/doi/full/10.1177/1461444820929320

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 4 May 2021 11:50:03 +0200

Pointing to the earlier referenced research by Nick Doty, the way in which RFC 3552 has been implemented has wildly changed over time (for the better, but it took quite some time). So one could wonder whether the amount of assessments that have been done thus far, and the time that has passed, is sufficient to draw significant conclusions - but again - curious to read the outcome of your analysis and see your framework!

Best,

Niels

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 4 May 2021 12:16:04 -0400

Thanks for volunteering to work on this, Sandra!

I would suggest that the analysis go further in depth and also stay 
open, as things change and progress, so adding them to existing drafts 
wouldn't be the best strategy.

-Mallory

On 5/4/21 4:21 AM, Sandra Braman wrote:
> document should not be considered complete until uses people are 
> making of the existing document for which the draft is trying to 
> provide guidelines have been examined and insights they provide have 
> been incorporated into the text. This is not only within existing 
> scope but a basic step, for would be for many the first step, for 
> either a researcher looking at this problem or for someone who is 
> writing a guide in a technical writing sense.�
>
> section in the 7 drafts that include these sections and report back as 
> soon as I can. This should be a couple of weeks, and by then I'll have 
> other thoughts on what is the current draft of the text at that point 
> as well (with all thumbs up the option I, as so many, am hoping for). 
> It will also be interesting to see the genetic drift from RFC 3552 to 
> RFC 6973 (which opens by saying it is modeled on 3552) to RFC 8280; 
> the 3552 I asked about a few days ago is the grandparent. Thanks again 
> to Gurshabad for pointers as I am still learning my way around the 
> document system.
>
>     Cc:� [email-masked]
>     Bcc:�
> �

---

From: Sandra Braman <[email-masked]>
Date: Tue, 4 May 2021 11:54:43 -0500

Appreciate the thought, Mallory. However, whether or not the analysis will
yield anything that should be incorporated into the draft guidelines text
can only be determined once the research has been done.

On Tue, May 4, 2021 at 11:16 AM Mallory Knodel <[email-masked]> wrote:

> I would suggest that the analysis go further in depth and also stay open,
> as things change and progress, so adding them to existing drafts wouldn't
> be the best strategy.
>
> -Mallory
> hrpc mailing [email-masked]://www.irtf.org/mailman/listinfo/hrpc <https://urldefense.com/v3/__https://www.irtf.org/mailman/listinfo/hrpc__;!!KwNVnqRv!Q3RHG3ea9r2vSSpq_EJKDDzP-dY5e94Qq5jfyzZrEBH0WNUfUVjItIPgDwEByg$>
>
> --
> Mallory Knodel

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 4 May 2021 13:07:38 -0400

Hi Sandra,

I believe draft-guidelines has achieved it's aim and doesn't need this 
additional analysis, as interesting as it might be. As Niels said, there 
has already been sufficient work done in this regard for 
draft-guidelines that shouldn't be overlooked.

I suggest it being additional, and ongoing work, that builds on 
draft-guidelines.

One of the challenges that I'm noticing in these exchanges about HRPC 
work is how people view it, and are inspired by the potential, but 
rather than saying "yes, AND" or "this has given me an idea", the 
tendency is to assume the existing work is somehow lacking because it 
hasn't already incorporated that new idea.

HRPC isn't suffering from rigour in its ideas an execution on those. 
Indeed we rather need to establish the foundational research so that 
these new ideas-- like the analysis framework-- can build on top, 
hopefully as new drafts.

-Mallory

On 5/4/21 12:54 PM, Sandra Braman wrote:
> Appreciate the thought, Mallory. However, whether or not the analysis 
> will yield anything that should be incorporated into the draft 
> guidelines text can only be determined once the research has been done.
>
>
>     I would suggest that the analysis go further in depth and also
>     stay open, as things change and progress, so adding them to
>     existing drafts wouldn't be the best strategy.
>
>     -Mallory
>
>>     Given the process, there is no need or reason to say analysis of
>>     this subject "can't be included" in the draft guidelines document
>>     currently being discussed. An alternative formulation would be to
>>     say that the document should not be considered complete until
>>     uses people are making of the existing document for which the
>>     draft is trying to provide guidelines have been examined and
>>     insights they provide have been incorporated into the text. This
>>     is not only within existing scope but a basic step, for would be
>>     for many the first step, for either a researcher looking at this
>>     problem or for someone who is writing a guide in a technical
>>     writing sense.�
>>
>>     I'll do the analysis of discussions of the human rights
>>     considerations section in the 7 drafts that include these
>>     sections and report back as soon as I can. This should be a
>>     couple of weeks, and by then I'll have other thoughts on what is
>>     the current draft of the text at that point as well (with all
>>     thumbs up the option I, as so many, am hoping for). It will also
>>     be interesting to see the genetic drift from RFC 3552 to RFC 6973
>>     (which opens by saying it is modeled on 3552) to RFC 8280; the
>>     3552 I asked about a few days ago is the grandparent. Thanks
>>     again to Gurshabad for pointers as I am still learning my way
>>     around the document system.
>>
>>     https://www.irtf.org/mailman/listinfo/hrpc  <https://urldefense.com/v3/__https://www.irtf.org/mailman/listinfo/hrpc__;!!KwNVnqRv!Q3RHG3ea9r2vSSpq_EJKDDzP-dY5e94Qq5jfyzZrEBH0WNUfUVjItIPgDwEByg$>
>
>     -- 
>     Mallory Knodel

---

From: farzaneh badii <[email-masked]>
Date: Tue, 4 May 2021 13:33:26 -0400

I think Professor Braman is making a very valid argument. I don't know why
it doesn't need this additional analysis. I also don't think she is arguing
that HRPC lacks vigour. The argument is that before adding anything to the
I-D we should do enough research. We can also have a chain of I-Ds that can
include our changes over time. (I think like a living document, if that's
possible) I personally don't think the number of I-Ds that this group
publishes matter. It can be one I-D that can be tested and researched over
time. For example, like Fidler and I argued in the past and we saw this
argument on this mailing list as well, implementation is very important. We
can observe the implementation of the protocols and add to the documents
from what we have learned and test the theories.

Farzaneh

On Tue, May 4, 2021 at 1:07 PM Mallory Knodel <[email-masked]> wrote:

> has already been sufficient work done in this regard for draft-guidelines
> that shouldn't be overlooked.
>
> One of the challenges that I'm noticing in these exchanges about HRPC work
> is how people view it, and are inspired by the potential, but rather than
> saying "yes, AND" or "this has given me an idea", the tendency is to assume
> the existing work is somehow lacking because it hasn't already incorporated
> that new idea.
>
> Indeed we rather need to establish the foundational research so that these
> new ideas-- like the analysis framework-- can build on top, hopefully as
> new drafts.
>
> -Mallory

---

From: Niels ten Oever <[email-masked]>
Date: Tue, 04 May 2021 19:43:34 +0200

It seems we are getting into a chicken and egg discussion. Whereas imho we can have many chickens and many eggs.

What would be against it if we go ahead with the publication of draft-guidelines as RFC as well as keep working on improving the practice and documenting that as Farzaneh suggests?

Future updates can include consideration for evaluation, as suggested by Sandra, which can also be an I-D on itself imho.

I do hope more people will start authoring their own I-Ds in this RG. If they have problems if the formatting I am happy to help.

Best,

Niels

On 4 May 2021, 19:34, at 19:34, farzaneh badii <[email-masked]> wrote:
>work
>these
>will
>open,
>this
>making of
>considerations
>(which
>>> hrpc mailing
>[email-masked]://www.irtf.org/mailman/listinfo/hrpc
><https://urldefense.com/v3/__https://www.irtf.org/mailman/listinfo/hrpc__;!!KwNVnqRv!Q3RHG3ea9r2vSSpq_EJKDDzP-dY5e94Qq5jfyzZrEBH0WNUfUVjItIPgDwEByg$>
>>>
>>> --
>>> Mallory Knodel

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 4 May 2021 13:48:14 -0400

I'm also building a few simple tools with GitHub Actions that can 
basically turn GH into a full interface from creating draft repos to 
datatracker upload. More on that soon, hopefully.

HTH,

-Mallory

On 5/4/21 1:43 PM, Niels ten Oever wrote:
> It seems we are getting into a chicken and egg discussion. Whereas 
> imho we can have many chickens and many eggs.
>
> What would be against it if we go ahead with the publication of 
> draft-guidelines as RFC as well as keep working on improving the 
> practice and documenting that as Farzaneh suggests?
>
> Future updates can include consideration for evaluation, as suggested 
> by Sandra, which can also be an I-D on itself imho.
>
> I do hope more people will start authoring their own I-Ds in this RG. 
> If they have problems if the formatting I am happy to help.
>
> Best,
>
> Niels
>
>
>
>
>
>
>
> On 4 May 2021, at 19:34, farzaneh badii <[email-masked]> wrote:
>
>     I think Professor Braman is making a very valid argument. I don't
>     know why it doesn't need this additional analysis. I also don't
>     think she is arguing that HRPC lacks vigour. The argument is that
>     before adding anything to the I-D we should do enough research. We
>     can also have a chain of I-Ds that can include our changes over
>     time. (I think like a living document, if that's possible) I
>     personally don't think the number of I-Ds that this group
>     publishes matter. It can be one I-D that can be tested and
>     researched over time. For example, like Fidler and I argued in the
>     past and we saw this argument on this mailing list as well,
>     implementation is very important. We can observe the
>     implementation of the protocols and add to the documents from what
>     we have learned and test the theories.�
>
>
>     Farzaneh
>
>
>         I believe draft-guidelines has achieved it's aim and doesn't
>         need this additional analysis, as interesting as it might be.
>         As Niels said, there has already been sufficient work done in
>         this regard for draft-guidelines that shouldn't be overlooked.
>
>         I suggest it being additional, and ongoing work, that builds
>         on draft-guidelines.
>
>         One of the challenges that I'm noticing in these exchanges
>         about HRPC work is how people view it, and are inspired by the
>         potential, but rather than saying "yes, AND" or "this has
>         given me an idea", the tendency is to assume the existing work
>         is somehow lacking because it hasn't already incorporated that
>         new idea.
>
>         HRPC isn't suffering from rigour in its ideas an execution on
>         those. Indeed we rather need to establish the foundational
>         research so that these new ideas-- like the analysis
>         framework-- can build on top, hopefully as new drafts.
>
>         -Mallory
>
>>         Appreciate the thought, Mallory. However, whether or not the
>>         analysis will yield anything that should be incorporated into
>>         the draft guidelines text can only be determined once the
>>         research has been done.
>>
>>
>>             I would suggest that the analysis go further in depth and
>>             also stay open, as things change and progress, so adding
>>             them to existing drafts wouldn't be the best strategy.
>>
>>             -Mallory
>>
>>>             Given the process, there is no need or reason to say
>>>             analysis of this subject "can't be included" in the
>>>             draft guidelines document currently being discussed. An
>>>             alternative formulation would be to say that the
>>>             document should not be considered complete until uses
>>>             people are making of the existing document for which the
>>>             draft is trying to provide guidelines have been examined
>>>             and insights they provide have been incorporated into
>>>             the text. This is not only within existing scope but a
>>>             basic step, for would be for many the first step, for
>>>             either a researcher looking at this problem or for
>>>             someone who is writing a guide in a technical writing
>>>             sense.�
>>>
>>>             considerations section in the 7 drafts that include
>>>             these sections and report back as soon as I can. This
>>>             should be a couple of weeks, and by then I'll have other
>>>             thoughts on what is the current draft of the text at
>>>             that point as well (with all thumbs up the option I, as
>>>             so many, am hoping for). It will also be interesting to
>>>             see the genetic drift from RFC 3552 to RFC 6973 (which
>>>             opens by saying it is modeled on 3552) to RFC 8280; the
>>>             3552 I asked about a few days ago is the grandparent.
>>>             Thanks again to Gurshabad for pointers as I am still
>>>             learning my way around the document system.
>>>